﻿<%@ Page Language="VB" MasterPageFile="~/RSMasterPage.master" AutoEventWireup="false" Inherits="RSWebApp.ActiveUsers" Title="Active Users" Codebehind="ActiveUsers.aspx.vb" %>

<%@ Register Assembly="DevExpress.Web.v19.2, Version=19.2.15.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" Namespace="DevExpress.Web" TagPrefix="dx" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="Server">
    <asp:ObjectDataSource ID="dataActiveUsers" runat="server" DeleteMethod="DeleteLoggedInUserBySessionID" SelectMethod="GetLoggedInUsers" TypeName="Ripplestone.BLL.LoggedInUsers">
		<DeleteParameters>
			<asp:Parameter Name="sessionID" Type="String" />
		</DeleteParameters>
	</asp:ObjectDataSource>
	<div class="nav2">
		<a class="nav2left" onclick="callHelp('ActiveUsersHelp.htm')" href="javascript:void(0)">
			<img alt="Help" src="images/help3.gif" /></a> 
		<h3 class="nav2title">Active Users</h3>
	</div>
	<div id="datagrid">
		<dx:ASPxGridView ID="gridActiveUsers" runat="server" AutoGenerateColumns="False" DataSourceID="dataActiveUsers" KeyFieldName="SessionID" 
			Width="75%" EnableCallbackAnimation="True" EnablePagingCallbackAnimation="True">
			<Columns>
				<dx:GridViewCommandColumn ShowDeleteButton="True" VisibleIndex="3" ButtonType="Button" Caption="Log Out">
				</dx:GridViewCommandColumn>
				<dx:GridViewDataTextColumn Caption="Session ID" FieldName="SessionID" VisibleIndex="1">
				</dx:GridViewDataTextColumn>
				<dx:GridViewDataTextColumn Caption="User ID" FieldName="UserID" VisibleIndex="0">
				</dx:GridViewDataTextColumn>
				<dx:GridViewDataDateColumn Caption="Logged in at" FieldName="StartDate" VisibleIndex="2">
					<PropertiesDateEdit DisplayFormatString="" EditFormat="DateTime">
					</PropertiesDateEdit>
				</dx:GridViewDataDateColumn>
			</Columns>
			<SettingsBehavior ConfirmDelete="True" />
			<SettingsDataSecurity AllowEdit="False" AllowInsert="False" />
			<SettingsSearchPanel Visible="True" />
		</dx:ASPxGridView>
	</div>
    <table class="RSTable" width="75%" cellpadding="5" cellspacing="0">
        <tr>
            <td align="left">
                &nbsp;
            </td>
            <td align="right" style="width: 618px;">
                <dx:ASPxButton ID="btnDelete" runat="server" Text="Delete all users older than the selected date" Height="17px" Width="290px"></dx:ASPxButton>
            </td>
            <td align="right">
                <dx:ASPxDateEdit ID="dateDelete" runat="server"></dx:ASPxDateEdit>
            </td>
        </tr>
    </table>
</asp:Content>
